### Method

# GLib HookList marshal

#### Declaration [src]

    void
    g_hook_list_marshal (
      GHookList* hook_list,
      gboolean may_recurse,
      GHookMarshaller marshaller,
      gpointer marshal_data
    )

#### Description [src]

Calls a function on each valid `GHook`.

#### Parameters

`may_recurse`

  Type: `gboolean`

  `TRUE` if hooks which are currently running (e.g. in another thread) are considered valid. If set to `FALSE`, these are skipped.

`marshaller`

  Type: `GHookMarshaller`

  The function to call for each `GHook`.

`marshal_data`

  Type: `gpointer`

  Data to pass to `marshaller`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.